
CREATE TABLE IF NOT EXISTS roller_list (
	id INT NOT NULL AUTO_INCREMENT,
	name VARCHAR(255) NOT NULL DEFAULT '',
	display_format ENUM('vertical','horizontal') NOT NULL,
	display_number TINYINT NOT NULL DEFAULT 0,
	PRIMARY KEY (id)
) ENGINE = MYISAM;

CREATE TABLE IF NOT EXISTS roller_link (
	id INT NOT NULL AUTO_INCREMENT,
	list_id INT NOT NULL DEFAULT 0,
	url TEXT NOT NULL DEFAULT '',
	anchor_text VARCHAR(255) NOT NULL DEFAULT '',
	PRIMARY KEY (id)
) ENGINE = MYISAM;
