<div align="center" style="width: 100%; border: 0px solid red;">

	<div style="width: 600px; border: 0px solid green;">

	<div align="left" style="width: 100%; color: #ffffff; background: navy;
		font-size: 14pt; font-weight: bold; padding: 4px; padding-left: 10px;">
		LinkRoller User Manual
	</div>
	<br clear="all" />
	<div align="left">
		Note: There is NO support for this script unless you paid for it, which you probably
		did not, as I give it away.
		<br/><br/><br/>

		<div class="help_header">What Is LinkRoller?</div>
		<br/>
		LinkRoller is a simple script that allows you to create lists of links. That is, a link
		is regular hyperlink with a URL and a piece of anchor text to click on. The objective
		is to be able to grab one or more of these links at random from a list, and display those
		links somewhere. For example, in a blog.
		<br/><br/>
		But why would you want to do this?
		<br/><br/>
		There may be many reasons for doind this kind of thing,
		but usually it is to promote your web properties. Dave Kelly, the creator of Linkvana,
		uses the technique of inserting random backlinks into blogs to get his domains to rank
		in the number one spots of the MSN/Live search engine.
		<br/><br/>
		If you want to do the same, and get TONS of free traffic, read his report called the
		<a href="http://www.ultimatesearchengineloophole.com/recommends/MSNCode/"
		><b>Ultimate Search Engine Loophole</b></a>. You can also read my review of his report
		by clicking on the link in the footer area of this page.
		<br/><br/><br/>

		<div class="help_header">Properties Of A List</div>
		<br/>
		Lists are very SIMPLE. They have a name, like <b>dieting</b>, so that you can easily
		identify them from drop-down menus on the admin page. They also have a numeric ID
		which is used to identify them when requesting a sample of links using the
		showlink.php script.
		<br/><br/>
		There are two other properties of a list. The first is a length parameter: you can
		have the list regurgitate a sublist that consists of the SAME number of links every
		time (from 1 to 4 links in length). Or you can have the list generate a sublist of
		random length (again from 1 to 4 links in length). The other property of the list
		is whether the sublist will display the links vertically, one above the other, or horizontally.
		<br/><br/>
		That's is. As mentioned before. These lists are very simple in design. Your <b>dieting</b>
		list might contain a hundred links to the various pages of a web site you own that has
		20 pages in total. You might have roughly 5 different variations on the anchor text
		for links to each of those pages on your site.
		<br/><br/>
		Another list named <b>dating</b> might have 20 links that all go to the home page of
		your dating site, but with different anchor text associated with each link. It's up
		to you how you design your lists and what you do with them.
		<br/><br/>
		If you want to make your domains rank well and earn LOTS of affiliate commissions
		by monetizing those high-ranking pages, see
		<a href="http://www.ultimatesearchengineloophole.com/recommends/MSNCode/"
		><b>Dave Kelly's report</b></a>.
		<br/><br/><br/>

		<div class="help_header">Running showlink.php</div>
		<br/>
		The script that serves up a link list is /linkroller/showlink.php which is in the
		publicly-accessible /linkroller directory. It can therefore be reached from any web page
		on the web, such as your blog pages.
		<br/><br/>
		This script only takes one parameter: the numeric 'id' of the list from which links
		are to be pulled. So the URL is going to look something like this when used:
<pre class="help_code">
http://www.yourdomain.com/linkroller/showlink.php?id=1
</pre>

		Note that you cannot use the script until you have added one or more link lists via
		the admin control panel AND you have added one or more links to the list you are accessing.
		<br/><br/>
		Before you expect to be able to retrieve links from within a blog, make sure you test
		the showlinks.php script from the address bar of your browser. You should get output
		in the form of a vertical or horizontal link list if you type in the (suitably modified)
		URL directly above.
		<br/><br/><br/>

		<div class="help_header">Accessing Links With showlink.php</div>
		<br/>
		When you add code to a PHP blog to access the showlink.php script, you can do this in
		one of 2 ways. The first method is the one suggested by Dave Kelly. The method I use
		is a little different. Use whatever method works for you. If you are calling from a
		non PHP page you'll have to figure out an equivalent way to perform your web fetch.
		<br/><br/>
		<u>METHOD 1</u>
		<br/><br/>
		The way that Dave Kelly suggests is to use a <b>require_once</b> command, like this:
<pre class="help_code" style="width: 640px;">
&#60;?php require_once('http://www.yourdomain.com/linkroller/showlink.php?id=1'); ?&#62;
</pre>
		If you get an error when you attempt this, or you you don't get any output at all
		(my web server actually crashes when presented with this request), it is likely that
		your web hosting company has turned off this feature, and they are unlikely to turn it
		on for you. To get around this, Dave Kelly suggests creating a file named php.ini
		which you should place into your document root (e.g. /public_html). In the file,
		add this line:
<pre class="help_code">
allow_url_include = On
</pre>
		Make sure there is a blank line at the bottom of the file. Then save. Hopefully that
		solves the problem.
		<br/><br/>
		<u>METHOD 2</u>
		<br/><br/>
		This one works for me and uses the PHP curl library to do the web page
		fetch. Add this alternative code to your PHP blog to fetch the link list:
<pre class="help_code">
&#60;?php

$url = 'http://www.yourdomain.com/linkroller/showlink.php?id=1';

$ch=curl_init();
@curl_setopt ( $ch , CURLOPT_RETURNTRANSFER , 1 );
@curl_setopt ( $ch , CURLOPT_VERBOSE , 0 );
@curl_setopt ( $ch , CURLOPT_HEADER , 0 );
@curl_setopt ( $ch, CURLOPT_URL, $url);
$links=curl_exec($ch);
curl_close($ch);

echo $links;

?&#62;
</pre>
		Yes, it's a bit longer than the other method, but that's irrelevant. You only care
		whether it works or not. Only the line that specifies the $url needs to be altered.
		<br/><br/><br/>

		<div class="help_header">Link Style</div>
		<br/>
		The links that appear in your blog (or other web pages) can be styled
		a little by editing the /linkroller/link_style.css file. If you want more control
		over them you will need to edit the showlink.php file itself, which is
		very short and ought to be easy to understand if you know some PHP.
		<br/><br/>
		Happy Link Rolling,<br/>
		Stephen Carter
		<br/><br/>
		<div align="center">~//~</div>
		
	</div>

	</div>
</div>