<div align="center" style="width: 100%; border: 0px solid red;">

	<div style="width: 600px; border: 0px solid green;">

	<div align="left" style="width: 100%; color: #ffffff; background: navy;
		font-size: 14pt; font-weight: bold; padding: 4px; padding-left: 10px;">
		Create New Link List
	</div>
	<br clear="all" />
	<div align="left">
		<span style="color: #990000; font-weight: bold;">
			[% list_creation_message %][% list_modification_message %]
		</span>
		<form name="create_list" method="post">
		<input type="hidden" name="do" value="create_list">
			<div style="width: 300px; float: left; border: 0px solid blue; padding: 4px;"
				>Enter List Name: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<input type="text" name="list_name" size="30">
			</div>
			<br clear="all" />
			<div style="width: 300px; float: left; border: 0px solid blue; padding: 4px;"
				>List Display Style: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<select name="list_style">
				<option value="vertical">Vertical
				<option value="horizontal">Horizontal
				</select>
			</div>
			<br clear="all" />
			<div style="width: 300px; float: left; border: 0px solid blue; padding: 4px;"
				>Number Of Links To Display: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<select name="list_number">
				<option value="1">1
				<option value="2">2
				<option value="3">3
				<option value="4">4
				<option value="0">Random Between 1-4
				</select>
			</div>
			<br clear="all" />
			<div style="width: 300px; float: left; border: 0px solid blue; padding: 4px;"
				>&nbsp;</div>
			<div style="float: left; padding: 4px;">
				<input type="submit" value="Create New List" class="button">
			</div>
		</form>
	</div>

	<br clear="all" /><br/>

	<div align="left" style="width: 100%; color: #ffffff; background: green;
		font-size: 14pt; font-weight: bold; padding: 4px; padding-left: 10px;">
		Add Single Link
	</div>
	<br clear="all" />
	<div align="left">
		<span style="color: #990000; font-weight: bold;">
			[% link_insertion_message %]
		</span>
		<form name="add_single_link" method="post">
		<input type="hidden" name="do" value="add_single_link">

			<div style="width: 200px; float: left; border: 0px solid blue; padding: 4px;"
				>Enter URL: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<input type="text" name="link_url" size="50">
			</div>
			<br clear="all" />
			<div style="width: 200px; float: left; border: 0px solid blue; padding: 4px;"
				>Enter Anchor Text: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<input type="text" name="link_anchor_text" size="50">
			</div>
			<br clear="all" />
			<div style="width: 200px; float: left; border: 0px solid blue; padding: 4px;"
				>Select A List: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<select name="list_id">
				[% select_link_list %]
				</select>
			</div>
			<br clear="all" />
			<div style="width: 200px; float: left; border: 0px solid blue; padding: 4px;"
				>&nbsp;</div>
			<div style="float: left; padding: 4px;">
				<input type="submit" value="Add Single Link" class="button">
			</div>
		</form>
	</div>

	<br clear="all" /><br/>

	<div align="left" style="width: 100%; color: #ffffff; background: red;
		font-size: 14pt; font-weight: bold; padding: 4px; padding-left: 10px;">
		Add Links In Bulk
	</div>
	<br clear="all" />
	<div align="left">
		<span style="color: #990000; font-weight: bold;">
			[% bulk_link_insertion_message %]
		</span>
		Format:
		<br/><br/>
		http://www.domain1.com|keyword1<br/>
		http://www.domain2.com|keyword2<br/><br/>
		A pipe symbol | MUST separate the URL and anchor text
		<br/><br/>
		<form name="add_bulk_links" method="post">
		<input type="hidden" name="do" value="add_bulk_links">

			<div style="width: 120px; float: left; border: 0px solid blue; padding: 4px;"
				>Select A List: </div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<select name="list_id">
				[% select_link_list %]
				</select>
			</div>
			<br clear="all" />
			<div style="width: 120px; float: left; border: 0px solid blue; padding: 4px;"
				>Enter Links:</div>
			<div style="float: left; padding: 4px; border: 0px solid orange;">
				<textarea rows="10" cols="50" name="bulk_links"></textarea>
			</div>
			<br clear="all" />
			<div style="width: 120px; float: left; border: 0px solid blue; padding: 4px;"
				>&nbsp;</div>
			<div style="float: left; padding: 4px;">
				<input type="submit" value="Add Links In Bulk" class="button">
			</div>
		</form>
	</div>

	<br clear="all" /><br/>

	<div align="left" style="width: 100%; color: #ffffff; background: orange;
		font-size: 14pt; font-weight: bold; padding: 4px; padding-left: 10px;">
		Current Active Lists
	</div>
	<br clear="all" />
	<div align="left">
		<span style="color: #990000; font-weight: bold;">
			[% list_deletion_message %]
		</span>
		Click the links below to either Edit a list OR get the PHP link code for it, which
		will look similar to this:
		<br/><br/>
		<div align="center" style="font-size: 10pt; font-weight: bold;">
			&#60;?php require_once('http://yourdomain.com/linkroller/showlink.php?id=1') ?&#62;
		</div>
		<br/>

<script language="javascript" type="text/javascript">
function confirm_delete(list_name)
{
	message = "Are you sure you want to delete the '"
		+ list_name + "' list, and EVERY link it contains?"
	var ans = confirm(message);
	if (! ans) {
		return false;
	}
	return true;
}
</script>
		<div align="center" style="border: 0px solid green;">
			<div style="width: 400px; border: 0px solid red;">[% edit_link_list %]</div>
		</div>
	</div>

	<br clear="all" /><br/>

	</div>
</div>